commit:     2008e1f3134cba311a262a2d60e6da7e26698e06
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Tue May 19 03:24:55 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue May 19 03:25:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2008e1f3

app-emulation/vagrant: bump to 2.2.9

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 app-emulation/vagrant/Manifest             |  1 +
 app-emulation/vagrant/vagrant-2.2.9.ebuild | 93 ++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/app-emulation/vagrant/Manifest b/app-emulation/vagrant/Manifest
index 1f6359608f6..826fa92c652 100644
--- a/app-emulation/vagrant/Manifest
+++ b/app-emulation/vagrant/Manifest
@@ -1,2 +1,3 @@
 DIST vagrant-2.2.6.tar.gz 1285530 BLAKE2B 
802537b56429366ab0dab08d5490f2a5c1ec3810e9c04573ccd11f27078fc375f092ed70b27a7846813cbde5fdce0aa90399eba07e19a9d6ae7e11cb47204efe
 SHA512 
6d8b5b1d4e5cc482404cf4c59e1b7cf9502a9819569b5098e44874733cee706f26adb4ac7994abe7e3307ca69d3003e2604dc859ce460c53d766d78b8d9fe22a
 DIST vagrant-2.2.7.tar.gz 2173893 BLAKE2B 
bf905cb25a905e4fb79ce9c1fb59ad5520b5176d5681dfdc22855ca0a7520535346d2aebffe47162a1f8ca008083c94426e9de92b6d92de4373c654784605c7e
 SHA512 
3455b74c8a867ab37ca9873187a98cdb80feb22a400c4e9f2266897da815815aaefbe0c166172b1c1dbd66aa49ccb1201dcbf904fd883ad34218d694e20d7f87
+DIST vagrant-2.2.9.tar.gz 2215868 BLAKE2B 
6d40827c91c86f6b11865d9949e5313c419456c573686944ecd0d1874323aa81d6f26178d5b7a16fee701c513a98b3483dbea0531d9d77dee7b7e284004e17b3
 SHA512 
15e230bcf336615f0d49a2c40db36f7f26a9f0f6fd42d2ce801f28afc663aadded4fa373e33f9102b21ee70d98563fc68e2b24ffa6c3eec321f58b2c42b0d260

diff --git a/app-emulation/vagrant/vagrant-2.2.9.ebuild 
b/app-emulation/vagrant/vagrant-2.2.9.ebuild
new file mode 100644
index 00000000000..8dddc89d151
--- /dev/null
+++ b/app-emulation/vagrant/vagrant-2.2.9.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="vagrant.gemspec"
+RUBY_FAKEGEM_EXTRAINSTALL="keys plugins templates version.txt"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit bash-completion-r1 ruby-fakegem
+
+DESCRIPTION="A tool for building and distributing development environments"
+HOMEPAGE="https://vagrantup.com/";
+SRC_URI="https://github.com/hashicorp/vagrant/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+virtualbox"
+RESTRICT="test"
+
+RDEPEND="${RDEPEND}
+       app-arch/libarchive
+       net-misc/curl
+       virtualbox? ( || ( app-emulation/virtualbox 
app-emulation/virtualbox-bin ) )"
+
+ruby_add_rdepend "
+       >=dev-ruby/bcrypt_pbkdf-1.0.0
+       >=dev-ruby/childprocess-3.0.0
+       >=dev-ruby/ed25519-1.2.4
+       >=dev-ruby/erubis-2.7.0
+       >=dev-ruby/hashicorp-checkpoint-0.1.5
+       >=dev-ruby/i18n-1.8:1
+       >=dev-ruby/listen-3.1.5
+       <dev-ruby/log4r-1.1.11
+       <dev-ruby/mime-types-3:*
+       >=dev-ruby/net-ssh-5.2.0:*
+       >=dev-ruby/net-sftp-2.1
+       >=dev-ruby/net-scp-1.2.0
+       dev-ruby/rest-client:2
+       dev-ruby/rubyzip:2
+       >=dev-ruby/vagrant_cloud-2.0.3
+"
+
+# upstream specifies rake>=12 but it apparently doesn't need something this
+# recent. Because vagrant builds fine with rake 10 and because stabilizing rake
+# is tricky, we specify a lower dependency requirement here. This way, we'll be
+# able to stabilize vagrant sooner.
+ruby_add_bdepend "
+       >=dev-ruby/rake-10.5.0
+"
+
+all_ruby_prepare() {
+       # remove bundler support
+       sed -i '/[Bb]undler/d' Rakefile || die
+       rm Gemfile || die
+
+       # loosen dependencies
+       sed -e 
'/hashicorp-checkpoint\|i18n\|listen\|net-ssh\|net-scp\|rake\|childprocess/s/~>/>=/'
 \
+               -i ${PN}.gemspec || die
+
+       # remove windows-specific gems
+       sed -e '/wdm\|winrm/d' \
+               -i ${PN}.gemspec || die
+
+       # remove bsd-specific gems
+       sed -e '/rb-kqueue/d' \
+               -i ${PN}.gemspec || die
+
+       # remove ruby_dep, it's unused and only listed to loosen ruby 
implementation deps
+       sed -e '/ruby_dep/d' \
+               -i ${PN}.gemspec || die
+
+       sed -e "s/@VAGRANT_VERSION@/${PV}/g" "${FILESDIR}/${PN}.in" > "${PN}" 
|| die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       newbashcomp contrib/bash/completion.sh ${PN}
+
+       # provide executable similar to upstream:
+       # 
https://github.com/hashicorp/vagrant-installers/blob/master/substrate/modules/vagrant_installer/templates/vagrant.erb
+       dobin "${PN}"
+
+       # directory for plugins.json
+       keepdir /var/lib/vagrant
+
+       insinto /usr/share/vim/vimfiles/syntax/
+       doins contrib/vim/vagrantfile.vim
+}

Reply via email to